<div class="alert alert-danger" id="msg-formAlasan">
    &{'lelangpaket.alasan_wajib_diisi'}
</div>

<div class="alert alert-danger" id="msg-formAlasan2">
   Alasan kurang dari 30 karakter
</div>

#{form @lelang.PaketCtr.submit_ppk(paket.pkt_id, llsId, ang_id), id:'form-ppk'}
    <input type="hidden" name="ppkId" value="${newPpk?.ppk_id}">
    <input type="hidden" name="old_ppk_id" value="${oldPpk?.ppk_id}">
    <table class="table table-sm">
        <tr>
            <th width="80px" class="bg-warning">&{'lelangpaket.nama_ppk_lama'} </th>
            <td width="100px">
                ${oldPpk.getNamaPegawai()}
            </td>
        </tr>
        <tr>
            <th width="80px" class="bg-warning">&{'lelangpaket.nama_ppk_baru'} </th>
            <td width="100px">
                ${newPpk?.getNamaPegawai()}
            </td>
        </tr>
        <tr>
            <th width="80px" class="bg-warning">&{'lelangpaket.alasan'} <span class="warning">*</span></th>
            <td width="100px">
                <textarea name="alasan" class="form-control" placeholder="&{'lelangpaket.placeholder_alasan'}"></textarea>
                <span class="form-text">Alasan Perubahan minimal <b>30 karakter</b> </span>
            </td>
        </tr>
    </table>
<button type="submit" class="btn btn-success btn-sm simpan"> <i class="fa fa-save"></i> &{'lelangpaket.simpan'}</button>
#{/form}

<script type="text/javascript">
    $(document).ready(function(){
        $("#msg-formAlasan").hide();
        $("#msg-formAlasan2").hide();
    });

    $(".simpan").click(function (e) {
        return validate();
    });

    function validate(){
        var alasanGanti = $("textarea[name=\"alasan\"]").val();

        if (alasanGanti == null || alasanGanti == "") {
            $("#msg-formAlasan").show();
            return false;
        } else if(alasanGanti.length < 30) {
            $("#msg-formAlasan2").show();
            return false;
        }

        $("#msg-formAlasan").hide();
        return true;

    }

</script>
